# dask.array.append

dask.array.append(arr, values, axis=None)

  Append values to the end of an array.

  This docstring was copied from numpy.append.

  Some inconsistencies with the Dask version may exist.

  Parameters:
    arr array_like

      Values are appended to a copy of this array.

    values array_like

      These values are appended to a copy of arr. It must be of the correct shape (the same shape as arr, excluding axis). If axis is not specified, values can be any shape and will be flattened before use.

    axis int, optional

      The axis along which values are appended. If axis is not given, both arr and values are flattened before use.

  Returns:
    append ndarray

      A copy of arr with values appended to axis. Note that append does not occur in-place: a new array is allocated and filled. If axis is None, out is a flattened array.

  See also

  `insert`

    Insert elements into an array.

  `delete`

    Delete elements from an array.

  Examples

      >>> import numpy as np
      >>> np.append([1, 2, 3], [[4, 5, 6], [7, 8, 9]])
      array([1, 2, 3, ..., 7, 8, 9])

  When axis is specified, values must have the correct shape.

      >>> np.append([[1, 2, 3], [4, 5, 6]], [[7, 8, 9]], axis=0)
      array([[1, 2, 3],
             [4, 5, 6],
             [7, 8, 9]])

      >>> np.append([[1, 2, 3], [4, 5, 6]], [7, 8, 9], axis=0)
      Traceback (most recent call last):
          ...
      ValueError: all the input arrays must have same number of dimensions, but
      the array at index 0 has 2 dimension(s) and the array at index 1 has 1
      dimension(s)

      >>> a = np.array([1, 2], dtype=int)
      >>> c = np.append(a, [])
      >>> c
      array([1., 2.])
      >>> c.dtype
      float64

  Default dtype for empty ndarrays is float64 thus making the output of dtype float64 when appended with dtype int64